#ifndef HELPER_H
#define HELPER_H

#include "drivers/game_timer.h"
#include "drivers/sseg.h"
#include "drivers/bottom_half.h"
#include "drivers/wires.h"
#include "drivers/char_lcd.h"
#include "drivers/leds.h"
#include "drivers/speaker.h"
#include "drivers/tft.h"

struct StarCodeHandler {
    const char* code;
    const char* display_text;
    bool should_exit;
    void (*callback)(void);
};

// TODO: add something for RNG.
// TODO: add something for colors, to make everything consistant.

/// Clears most persistant bomb state
void clean_bomb(void);
void poster_child_task(void* arg);
void do_star_codes(StarCodeHandler* star_codes, int star_codes_len);
void display_game_results();

#endif /* HELPER_H */
